Index: branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views-3.3.csproj
===================================================================
--- branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views-3.3.csproj	(revision 8665)
+++ branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views-3.3.csproj	(revision 9356)
@@ -121,10 +121,4 @@
     <Compile Include="Properties\AssemblyInfo.cs" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
-    <Compile Include="ValueConfigurationViews\CheckedValueConfigurationListView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="ValueConfigurationViews\CheckedValueConfigurationListView.Designer.cs">
-      <DependentUpon>CheckedValueConfigurationListView.cs</DependentUpon>
-    </Compile>
     <Compile Include="ValueConfigurationViews\RangeView.cs">
       <SubType>UserControl</SubType>
@@ -132,4 +126,10 @@
     <Compile Include="ValueConfigurationViews\RangeView.Designer.cs">
       <DependentUpon>RangeView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ValueConfigurationViews\ValueConfigurationCheckedItemListView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ValueConfigurationViews\ValueConfigurationCheckedItemListView.Designer.cs">
+      <DependentUpon>ValueConfigurationCheckedItemListView.cs</DependentUpon>
     </Compile>
     <Compile Include="ValueConfigurationViews\ValueView.cs">
Index: branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/OptimizableView.cs
===================================================================
--- branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/OptimizableView.cs	(revision 8665)
+++ branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/OptimizableView.cs	(revision 9356)
@@ -70,5 +70,5 @@
             } else {
               viewHost.Content = pc.ValueConfigurations;
-              viewHost.ViewType = typeof(CheckedValueConfigurationListView);
+              viewHost.ViewType = typeof(ValueConfigurationCheckedItemListView);
             }
           } else if (vc != null) {
Index: branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/ValueConfigurationViews/ValueConfigurationCheckedItemCollectionView.Designer.cs
===================================================================
--- branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/ValueConfigurationViews/ValueConfigurationCheckedItemCollectionView.Designer.cs	(revision 8665)
+++ 	(revision )
@@ -1,32 +1,0 @@
-﻿namespace HeuristicLab.Encodings.ParameterConfigurationEncoding.Views {
-  partial class ValueConfigurationCheckedItemCollectionView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      components = new System.ComponentModel.Container();
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-    }
-
-    #endregion
-  }
-}
Index: branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/ValueConfigurationViews/ValueConfigurationCheckedItemCollectionView.cs
===================================================================
--- branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/ValueConfigurationViews/ValueConfigurationCheckedItemCollectionView.cs	(revision 8665)
+++ 	(revision )
@@ -1,66 +1,0 @@
-﻿using System;
-using System.Linq;
-using System.Windows.Forms;
-using HeuristicLab.Core;
-using HeuristicLab.Core.Views;
-using HeuristicLab.MainForm;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.Encodings.ParameterConfigurationEncoding.Views {
-  [View("ValueConfigurationList View")]
-  [Content(typeof(ICheckedValueConfigurationList), IsDefaultView = true)]
-  public sealed partial class ValueConfigurationCheckedItemCollectionView : CheckedItemListView<IValueConfiguration> {
-    public new ICheckedValueConfigurationList Content {
-      get { return (ICheckedValueConfigurationList)base.Content; }
-      set { base.Content = value; }
-    }
-
-    public ValueConfigurationCheckedItemCollectionView() {
-      InitializeComponent();
-      this.viewHost.ViewsLabelVisible = false;
-    }
-
-    #region Event Handlers (Content)
-    #endregion
-
-    protected override void OnContentChanged() {
-      base.OnContentChanged();
-      if (Content != null) {
-        SetEnabledStateOfControls();
-      } else {
-      }
-    }
-
-    protected override void SetEnabledStateOfControls() {
-      base.SetEnabledStateOfControls();
-      if (Content != null) this.removeButton.Enabled = Content.Count > Content.MinItemCount;
-    }
-
-    #region Event Handlers (child controls)
-    protected override void itemsListView_SelectedIndexChanged(object sender, EventArgs e) {
-      base.itemsListView_SelectedIndexChanged(sender, e);
-      this.removeButton.Enabled = removeButton.Enabled && (Content.Count > Content.MinItemCount);
-    }
-    #endregion
-
-    protected override IValueConfiguration CreateItem() {
-      var objectSelectorDialog = new ObjectSelectorDialog<IItem>(Content.ValidValues.GroupBy(x => ApplicationManager.Manager.GetDeclaringPlugin(x.GetType()).Name));
-      if (objectSelectorDialog.ShowDialog(this) == DialogResult.OK) {
-        try {
-          IItem value = (IItem)objectSelectorDialog.Item.Clone();
-          if (value is NullValue) {
-            return new NullValueConfiguration();
-          } else if (value is IParameterizedItem) {
-            return new ParameterizedValueConfiguration(value, value.GetType(), true);
-          } else {
-            return new RangeValueConfiguration(value, value.GetType());
-          }
-        }
-        catch (Exception ex) {
-          ErrorHandling.ShowErrorDialog(this, ex);
-        }
-      }
-      return null;
-    }
-  }
-}
Index: branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/ValueConfigurationViews/ValueConfigurationCheckedItemListView.Designer.cs
===================================================================
--- branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/ValueConfigurationViews/ValueConfigurationCheckedItemListView.Designer.cs	(revision 9356)
+++ branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/ValueConfigurationViews/ValueConfigurationCheckedItemListView.Designer.cs	(revision 9356)
@@ -0,0 +1,32 @@
+﻿namespace HeuristicLab.Encodings.ParameterConfigurationEncoding.Views {
+  partial class ValueConfigurationCheckedItemListView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
+    }
+
+    #endregion
+  }
+}
Index: branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/ValueConfigurationViews/ValueConfigurationCheckedItemListView.cs
===================================================================
--- branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/ValueConfigurationViews/ValueConfigurationCheckedItemListView.cs	(revision 9356)
+++ branches/ParameterConfigurationEncoding/HeuristicLab.Encodings.ParameterConfigurationEncoding.Views/3.3/ValueConfigurationViews/ValueConfigurationCheckedItemListView.cs	(revision 9356)
@@ -0,0 +1,69 @@
+﻿using System;
+using System.Linq;
+using System.Windows.Forms;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Encodings.ParameterConfigurationEncoding.Views {
+  [View("ValueConfigurationList View")]
+  [Content(typeof(ICheckedValueConfigurationList), IsDefaultView = true)]
+  public sealed partial class ValueConfigurationCheckedItemListView : CheckedItemListView<IValueConfiguration> {
+    public new ICheckedValueConfigurationList Content {
+      get { return (ICheckedValueConfigurationList)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public ValueConfigurationCheckedItemListView() {
+      InitializeComponent();
+      this.viewHost.ViewsLabelVisible = false;
+      this.typeSelectorDialog = new TypeSelectorDialog();
+    }
+
+    #region Event Handlers (Content)
+    #endregion
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content != null) {
+        SetEnabledStateOfControls();
+      } else {
+      }
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      if (Content != null) this.removeButton.Enabled = Content.Count > Content.MinItemCount;
+    }
+
+    #region Event Handlers (child controls)
+    protected override void itemsListView_SelectedIndexChanged(object sender, EventArgs e) {
+      base.itemsListView_SelectedIndexChanged(sender, e);
+      this.removeButton.Enabled = removeButton.Enabled && (Content.Count > Content.MinItemCount);
+    }
+    #endregion
+
+    protected override IValueConfiguration CreateItem() {
+      typeSelectorDialog.Caption = "Select Item";
+      typeSelectorDialog.TypeSelector.Caption = "Available Items";
+      typeSelectorDialog.TypeSelector.Configure(Content.ValidValues.Select(x => x.GetType()), false, false, false);
+      if (typeSelectorDialog.ShowDialog(this) == DialogResult.OK) {
+        try {
+          IItem value = (IItem)Content.ValidValues.Single(x => x.GetType() == typeSelectorDialog.TypeSelector.SelectedType).Clone();
+          if (value is NullValue) {
+            return new NullValueConfiguration();
+          } else if (value is IParameterizedItem) {
+            return new ParameterizedValueConfiguration(value, value.GetType(), true);
+          } else {
+            return new RangeValueConfiguration(value, value.GetType());
+          }
+        }
+        catch (Exception ex) {
+          ErrorHandling.ShowErrorDialog(this, ex);
+        }
+      }
+      return null;
+    }
+  }
+}