Index: branches/OaaS/HeuristicLab.Services.Hive.WebRole/Web.config
===================================================================
--- branches/OaaS/HeuristicLab.Services.Hive.WebRole/Web.config	(revision 9363)
+++ branches/OaaS/HeuristicLab.Services.Hive.WebRole/Web.config	(revision 9371)
@@ -1,3 +1,3 @@
-﻿<?xml version="1.0"?>
+﻿<?xml version="1.0" encoding="UTF-8"?>
 <configuration>
   <configSections>
@@ -21,12 +21,12 @@
   <connectionStrings>
     <!-- <add name="HeuristicLab.Authentication" connectionString="data source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication"/> -->
-    <add name="HeuristicLab.Authentication" connectionString="Server=tcp:r88iv2bpzo.database.windows.net,1433;Database=HeuristicLab.Authentication;User ID=cloudia@r88iv2bpzo;Password=d1fFntitafvX;Trusted_Connection=False;Encrypt=True;Connection Timeout=30;" />
+    <add name="HeuristicLab.Authentication" connectionString="Server=ADJUST_ME,1433;Database=HeuristicLab.Authentication;User ID=ADJUST_ME;Password=ADJUST_ME;Trusted_Connection=False;Encrypt=True;Connection Timeout=30;" />
     <!-- <add name="HeuristicLab.Services.Hive.DataAccess.Settings.HeuristicLab_Hive_LinqConnectionString" connectionString="Data Source=.\SQLEXPRESS;Initial Catalog=HeuristicLab.Hive-3.3;Integrated Security=True;" providerName="System.Data.SqlClient" /> -->
-    <add name="HeuristicLab.Services.Hive.DataAccess.Settings.HeuristicLab_Hive_LinqConnectionString" connectionString="Server=tcp:r88iv2bpzo.database.windows.net,1433;Database=HeuristicLab.Hive-3.3;User ID=cloudia@r88iv2bpzo;Password=d1fFntitafvX;Trusted_Connection=False;Encrypt=True;Connection Timeout=30;" providerName="System.Data.SqlClient" />
+    <add name="HeuristicLab.Services.Hive.DataAccess.Settings.HeuristicLab_Hive_LinqConnectionString" connectionString="Server=ADJUST_ME,1433;Database=HeuristicLab.Hive-3.3;User ID=ADJUST_ME;Password=ADJUST_ME;Trusted_Connection=False;Encrypt=True;Connection Timeout=30;Enlist=false;" providerName="System.Data.SqlClient" />
   </connectionStrings>
   <!--  To collect diagnostic traces, uncomment the section below or merge with existing system.diagnostics section.
         To persist the traces to storage, update the DiagnosticsConnectionString setting with your storage credentials.
-        To avoid performance degradation, remember to disable tracing on production deployments.
-  <system.diagnostics>     
+        To avoid performance degradation, remember to disable tracing on production deployments. 
+  <system.diagnostics>
     <sharedListeners>
       <add name="AzureLocalStorage" type="HeuristicLab.Services.Hive.WebRole.AzureLocalStorageTraceListener, HeuristicLab.Services.Hive.WebRole"/>
@@ -43,11 +43,10 @@
         </listeners>
       </source>
-    </sources> 
-   </system.diagnostics> -->
+    </sources>
+  </system.diagnostics>-->
   <system.diagnostics>
     <trace>
       <listeners>
-        <add type="Microsoft.WindowsAzure.Diagnostics.DiagnosticMonitorTraceListener, Microsoft.WindowsAzure.Diagnostics, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
-          name="AzureDiagnostics">
+        <add type="Microsoft.WindowsAzure.Diagnostics.DiagnosticMonitorTraceListener, Microsoft.WindowsAzure.Diagnostics, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" name="AzureDiagnostics">
           <filter type="" />
         </add>
@@ -56,34 +55,34 @@
   </system.diagnostics>
   <system.web>
-    <customErrors mode="Off"/>
+    <customErrors mode="Off" />
     <authentication mode="Forms" />
     <compilation debug="true" targetFramework="4.0">
       <assemblies>
-        <add assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
+        <add assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
       </assemblies>
     </compilation>
     <membership>
       <providers>
-        <clear/>
-        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false" maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10" applicationName="HeuristicLab.Authentication"/>
+        <clear />
+        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false" maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10" applicationName="HeuristicLab.Authentication" />
       </providers>
     </membership>
     <roleManager enabled="true">
       <providers>
-        <clear/>
-        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication"/>
+        <clear />
+        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication" />
       </providers>
     </roleManager>
     <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID">
       <controls>
-        <add tagPrefix="asp" namespace="System.Web.UI.DataVisualization.Charting"
-         assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
+        <add tagPrefix="asp" namespace="System.Web.UI.DataVisualization.Charting" assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
       </controls>
     </pages>
-    <httpRuntime maxRequestLength="1048576"/>
+    <httpRuntime maxRequestLength="1048576" />
+        <machineKey decryption="AES" decryptionKey="F7FA540B4DFD82E5BB196B95D15FF81FC30FFD1954D82285600A0DA6EBCDC9B9" validation="SHA1" validationKey="C30FFD1954D82285600A0DA6EBCDC9B9BE3C4C079DE62168764FF0DCE537184F0535D5D9AD66DEDCC30FFD1954D82285600A0DA6EBCDC9B9BE3C4C0797DC1ABF" />
   </system.web>
   <system.serviceModel>
     <diagnostics>
-      <messageLogging logEntireMessage="true" logMalformedMessages="true" logMessagesAtServiceLevel="true" logMessagesAtTransportLevel="true" maxMessagesToLog="3000"/>
+      <messageLogging logEntireMessage="true" logMalformedMessages="true" logMessagesAtServiceLevel="true" logMessagesAtTransportLevel="true" maxMessagesToLog="3000" />
     </diagnostics>
     <bindings>
@@ -92,6 +91,6 @@
           <readerQuotas maxDepth="2147483647" maxStringContentLength="2147483647" maxArrayLength="2147483647" maxBytesPerRead="2147483647" maxNameTableCharCount="2147483647" />
           <security mode="Message">
-            <transport clientCredentialType="Certificate"/>
-            <message clientCredentialType="UserName"/>
+            <transport clientCredentialType="Certificate" />
+            <message clientCredentialType="UserName" />
           </security>
         </binding>
@@ -102,15 +101,15 @@
         <behavior name="ServiceBehaviour_IHiveService">
           <!-- To avoid disclosing metadata information, set the value below to false and remove the metadata endpoint above before deployment -->
-          <serviceMetadata httpGetEnabled="true" httpsGetEnabled="false"/>
+          <serviceMetadata httpGetEnabled="true" httpsGetEnabled="false" />
           <!-- To receive exception details in faults for debugging purposes, set the value below to true.  Set to false before deployment to avoid disclosing exception information -->
-          <serviceDebug httpHelpPageEnabled="true" includeExceptionDetailInFaults="true"/>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles" roleProviderName="AspNetSqlRoleProvider"/>
+          <serviceDebug httpHelpPageEnabled="true" includeExceptionDetailInFaults="true" />
+          <serviceAuthorization principalPermissionMode="UseAspNetRoles" roleProviderName="AspNetSqlRoleProvider" />
           <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName"/>
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider" membershipProviderName="AspNetSqlMembershipProvider"/>
+            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
+            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider" membershipProviderName="AspNetSqlMembershipProvider" />
           </serviceCredentials>
-          <serviceSecurityAudit auditLogLocation="Application" suppressAuditFailure="false" messageAuthenticationAuditLevel="SuccessOrFailure"/>
-          <serviceThrottling maxConcurrentCalls="100"/>
-          <dataContractSerializer maxItemsInObjectGraph="2147483647"/>
+          <serviceSecurityAudit auditLogLocation="Application" suppressAuditFailure="false" messageAuthenticationAuditLevel="SuccessOrFailure" />
+          <serviceThrottling maxConcurrentCalls="100" />
+          <dataContractSerializer maxItemsInObjectGraph="2147483647" />
         </behavior>
       </serviceBehaviors>
@@ -118,6 +117,6 @@
     <services>
       <service behaviorConfiguration="ServiceBehaviour_IHiveService" name="HeuristicLab.Services.Hive.HiveService">
-        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="" name="MexEndpoint" contract="IMetadataExchange"/>
-        <endpoint binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IHiveService" name="WSHttpBinding_IHiveService" contract="HeuristicLab.Services.Hive.ServiceContracts.IHiveService"/>
+        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="" name="MexEndpoint" contract="IMetadataExchange" />
+        <endpoint binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IHiveService" name="WSHttpBinding_IHiveService" contract="HeuristicLab.Services.Hive.ServiceContracts.IHiveService" />
       </service>
     </services>
@@ -125,9 +124,9 @@
   </system.serviceModel>
   <system.webServer>
-    <modules runAllManagedModulesForAllRequests="true"/>
+    <modules runAllManagedModulesForAllRequests="true" />
     <defaultDocument>
       <files>
-        <clear/>
-        <add value="Status.aspx"/>
+        <clear />
+        <add value="Status.aspx" />
       </files>
     </defaultDocument>
@@ -136,9 +135,8 @@
         Set to false before deployment to avoid disclosing web app folder information.
     -->
-    <directoryBrowse enabled="true"/>
+    <directoryBrowse enabled="true" />
     <handlers>
       <remove name="ChartImageHandler" />
-      <add name="ChartImageHandler" preCondition="integratedMode" verb="GET,HEAD,POST"
-       path="ChartImg.axd" type="System.Web.UI.DataVisualization.Charting.ChartHttpHandler, System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
+      <add name="ChartImageHandler" preCondition="integratedMode" verb="GET,HEAD,POST" path="ChartImg.axd" type="System.Web.UI.DataVisualization.Charting.ChartHttpHandler, System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
     </handlers>
   </system.webServer>